Subject: Re: bug#30245: Downloading the texlive-texmf sources from Hydra is unreliable

From: [email-masked] (Ludovic Courtès)
Date: Thu, 25 Jan 2018 14:10:27 +0100

Maxim Cournoyer <[email-masked]> skribis:

> Leo Famulari <[email-masked]> writes:
>
>> cogrendel on #guix reported [0] this failure while installing texlive:
>>
>> ------
>> Downloading https://mirror.hydra.gnu.org/guix/nar/5rnvmy02yazy8iwaa91kijbbqp8qmflz-texlive-20170524-texmf.tar.xz...
>>  texlive-20170524-texmf.tar.xz 2.23GiB 3.8MiB/s 00:52 [# ] 8.7%guix
>> substitute: error: TLS error in procedure
>> 'read_from_session_record_port': Resource temporarily unavailable, try
>> again.
>> killing process 11204
>> guix package: error: build failed: some substitutes for the outputs of
>> derivation
>> `/gnu/store/j3m0a6rwrz9jmass4zlndpn5y0x8g5n4-texlive-20170524-texmf.tar.xz.drv'
>> failed (usually happens due to networking issues); try `--fallback' to
>> build derivation from source
>> ------
>>
>> I know we recently started serving this file from Hydra again, but I
>> wonder if the Hydra mirror is up to the task?
>>
>> Based on their report, the build failed even with --fallback. Perhaps
>> when process 11204 was killed, the whole thing stopped? I'm not able to
>> verify this currently.
>
> Hi, I haven't tried --fallback, but I experienced incomplete download of
> texlive too. Bandwith was good at 2.7 MB/s, but the download of texlive
> would always be interrupted around 15% (less than 2 minutes after
> starting).

Hmm I wonder if there’s an nginx/firewall/whatever issue.

Ludo’.